<?php

namespace Modules\St\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\St\Entities\Module;
use Modules\St\Entities\Permission;
use Modules\St\Entities\UserRolePermission;

class UserRolePermissionController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index()
    {
        return view('st::index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {
        return view('st::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('st::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('st::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        //
    }




    public function allPermissions($role_id, $module_id)
    {
        try {
            $query = "SELECT
           permissions.`id` AS id,
           permissions.`name` AS name,
           permissions.`slug` AS slug,
           permissions.`sub` AS sub,
           module_permissions.`module_id` AS module_id,
           module_permissions.`permission_id` AS permission_id
      FROM
           `permissions` permissions INNER JOIN `module_permissions` module_permissions ON permissions.`id` = module_permissions.`permission_id` WHERE module_permissions.module_id = '" . $module_id . "' AND permissions.sub = 'null'";

            $permissions = DB::select($query);
            foreach ($permissions as $permission) {

                $query = "SELECT * FROM `roles_permissions` WHERE role_id = '" . $role_id . "' AND permission_id = '" . $permission->permission_id . "'";
                $allows = DB::select($query);
                if ($allows) {
                    $permission->allow = true;
                } else {
                    $permission->allow = false;
                }

                $query_count = "SELECT COUNT(*) AS count FROM `permissions` WHERE sub = '" . $permission->permission_id . "'";
                $count = DB::select($query_count)[0];
                if ($count) {
                    $permission->sub_count = $count->count;
                }
            }


            $responseBody = $this->responseBody(true, "Permission", "allPermission", $permissions);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "Permission", "error", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }




    public function allSubPermissions($role_id, $module_id, $permission_id)
    {
        try {
            $permissions = $this->subPermissions($module_id, $permission_id);
            foreach ($permissions as $permission) {

                $query = "SELECT * FROM `roles_permissions` WHERE role_id = '" . $role_id . "' AND permission_id = '" . $permission->permission_id . "'";
                $allows = DB::select($query);
                if ($allows) {
                    $permission->allow = true;
                } else {
                    $permission->allow = false;
                }

                $query_count = "SELECT COUNT(*) AS count FROM `permissions` WHERE sub = '" . $permission->permission_id . "'";
                $count = DB::select($query_count)[0];
                if ($count) {
                    $permission->sub_count = $count->count;
                }
            }


            $responseBody = $this->responseBody(true, "Permission", "allPermission", $permissions);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "Permission", "error", $exception);
        }
        return response()->json(["data" => $responseBody]);
    }


    private function subPermissions($module_id, $permission_id)
    {

        $query = "SELECT
            permissions.`id` AS id,
            permissions.`name` AS name,
            permissions.`slug` AS slug,
            permissions.`sub` AS sub,
            module_permissions.`module_id` AS module_id,
            module_permissions.`permission_id` AS permission_id
       FROM
            `permissions` permissions INNER JOIN `module_permissions` module_permissions ON permissions.`id` = module_permissions.`permission_id` WHERE module_permissions.module_id = '" . $module_id . "' AND permissions.sub = '" . $permission_id . "'";

        return  DB::select($query);
    }





    public function allowPermission(Request $request)
    {
        try {
            $user_id = $request->get('user_id');
            $role_id = $request->get('role_id');
            $permission_id = $request->get('permission_id');
            $module_id = $request->get('module_id');
            $allow = $this->booleanToInteger($request->get('allow'));

            if ($allow) {

                $this->allow($role_id, $permission_id);
                $this->allow_all($module_id, $role_id, $permission_id);
                $responseBody = $this->responseBody(true, "UserRoleModule", "saved", $allow);
            } else {
                $this->remove($role_id, $permission_id);
                $this->remove_all($module_id, $role_id, $permission_id);
                $responseBody = $this->responseBody(true, "UserRoleModule", "removed", $allow);
            }
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "UserRoleModule", "error", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }


    private function allow($role_id, $permission_id)
    {
        $query = "INSERT INTO roles_permissions (`role_id`,`permission_id`) VALUES('" . $role_id . "','" . $permission_id . "')";
        DB::insert($query);
    }

    private function allow_all($module_id, $role_id, $permission_id)
    {


        $sub_permissions = $this->subPermissions($module_id, $permission_id);
        foreach ($sub_permissions as $sub_permission) {
            $id = $sub_permission->id;
            $this->allow($role_id, $id);
            $this->allow_all($module_id, $role_id, $id);
        }
    }

    private function remove($role_id, $permission_id)
    {
        $query = "DELETE FROM roles_permissions WHERE role_id = '" . $role_id . "' AND permission_id = '" . $permission_id . "'";
        DB::delete($query);
    }


    private function remove_all($module_id, $role_id, $permission_id)
    {
        $sub_permissions = $this->subPermissions($module_id, $permission_id);
        foreach ($sub_permissions as $sub_permission) {
            $id = $sub_permission->id;
            $this->remove($role_id, $id);
            $this->remove_all($module_id, $role_id, $id);
        }
    }


    function booleanToInteger($bool)
    {
        if ($bool == 'true') {
            return 1;
        }
        return 0;
    }



    /**
     * responseBody
     * This is used to create response.
     * @param success This is the paramter require boolean
     * @param name This is the paramter require ui table name
     * @param message This is the paramter require message content
     * @param result This is the paramter require result as some of data to return client
     * @return Json This returns as response.
     */
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }
}
