$(document).ready(function () {
    console.log('page loading');
})
// grp level 1 modal popup
$('#btnGrp1modal').on('click', function () {
    $('#grp1modal').modal('show');
});

// level 2 modal popup
$('#btnGrp2modal').on('click', function () {
    $('#grp2modal').modal('show');
});

// level 3 modal popup
$('#btnGrp3modal').on('click', function () {
    $('#grp3modal').modal('show');
    //loadgrp1();
    //loadgrp2();
    loadgrp1to3();
});

//  Disable variable 
var disable = { 0: "", 1: "checked" }

// type modal popup
$('#btnType').on('click', function () {
    $('#typemodal').modal('show');
});

// UOM modal popup 
$('#btnUOM').on('click', function () {
    $('#UomModal').modal('show');
});


// grp 1 saving part 
$('#btnSaveGrp1').on('click', function () {
    $.ajax({
        type: 'POST',
        url: '/st/products/Savegrp1',
        data: $('#grp1form').serialize(),
        success: function (response) {
            console.log(response);
            reset1();
            grp1down();
            loadDataId1();
            if (response) {
                toastr.success('Record Added!');
            } else {
                toastr.error('Fail to Add Record!');
            }
        }, error: function (data) {
            console.log('An error occured!');
        }
    });
});


// reset function grp 1
function reset1() {
    $('#grplevel1name').val("");
}

// grp 1 modal down  
function grp1down() {
    $('#grp1modal').modal('hide');
}

// read records in grp id 1
function loadDataId1() {
    $.ajax({
        type: 'GET',
        url: '/st/products/ReaDataId1',
        success: function (response) {
            console.log(response);
            var html = "<tr>";
            $.each(response.result, function (index, value) {
                html += '<td class="id" id="' + value.group_level_1_id + '">' + value.group_level_1_id + '</td>';
                html += '<td>' + value.group_level_1 + '</td>';
                html += '<td class="edit edit_group1">';
                html += '<button type="button" class="btn btn-primary setting-edit-btn" id="' + value.group_level_1_id + '" onclick="showGroupLevel1EditModal(this.id )">';
                html += '<i class="fa fa-pencil-square-o" aria-hidden="true"></button>';
                html += '</td>';
                html += '<td class="disable disable_group1">';
                html += '<label class="switch">';
                html += '<input type="checkbox" id="' + value.group_level_1_id + '" onchange="disableLevel1(event)" ' + disable[value.status] + '>';
                html += '<span class="slider round"></span>'
                html += '</label>';
                html += '</td>';
                html += '</tr>';
            });
            $('#tblGrpId1').html(html);
            if (!group1_edit_permission) {
                $('.edit_group1').hide();
            }

            if (!group1_disable_permission) {
                $('.disable_group1').hide();
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

//  level 1 disable 
function disableLevel1(event) {
    var id = event.target.id;
    var status = event.target.checked;

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'DELETE',
        url: '/st/products/DisableLevel1/' + id,
        data: {
            _token: $('input[name=_token]').val(),
            "status": bool
        },
        success: function (response) {
            console.log(response);
            if (response.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Data Deactivated');
            }
        }, error: function () {
            console.log('something went wrong');
        }
    });
}
// end of read record grp id 1

// grp 2 saving part

$('#btnSaveGrp2').on('click', function () {
    $.ajax({
        type: 'POST',
        url: '/st/products/Savegrp2',
        data: $('#grp2form').serialize(),
        success: function (response) {
            console.log(response);
            reset2();
            grp2down();
            loadDataId2();
            if (response) {
                toastr.success('Record Added!');
            } else {
                toastr.error('Fail to Add Record!');
            }
        }, error: function (data) {
            console.log('Something went wrong');
        }
    });
});

function reset2() {
    $('#grplevel2name').val("");
}

function grp2down() {
    $('#grp2modal').modal('hide');
}


// Read record of grp id 2
function loadDataId2() {
    $.ajax({
        type: 'GET',
        url: '/st/products/ReaDataId2',
        success: function (response) {
            console.log(response);
            var html = "<tr>";
            $.each(response.result, function (index, value) {
                html += '<td class="id" id="' + value.group_level_2_id + '">' + value.group_level_2_id + '</td>';
                html += '<td>' + value.group_level_2 + '</td>';
                html += '<td class="edit edit_group2">';
                html += '<button type="button" class="btn btn-primary setting-edit-btn" id="' + value.group_level_2_id + '" onclick="showGroupLevel2EditModal(this.id)">';
                html += '<i class="fa fa-pencil-square-o" aria-hidden="true"></button>';
                html += '</td>';
                html += '<td class="disable disable_group2">';
                html += '<label class="switch">';
                html += '<input type="checkbox" id="' + value.group_level_2_id + '" onchange="disableLevel2(event)" ' + disable[value.status] + '>';
                html += '<span class="slider round"></span>'
                html += '</label>';
                html += '</td>';
                html += '</tr>';
            });
            $('#tblGrpId2').html(html);
            if (!group2_edit_permission) {
                $('.edit_group2').hide();
            }

            if (!group2_disable_permission) {
                $('.disable_group2').hide();
            }
        }, error: function (data) {
            console.log('Something went wrong');
        }
    });
}

// disable level 2 
function disableLevel2(event) {
    var id = event.target.id;
    var status = event.target.checked;

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'DELETE',
        url: '/st/products/DisableLevel2/' + id,
        data: {
            _token: $('input[name=_token]').val(),
            "status": bool
        },
        success: function (response) {
            if (response.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Dta Deactivated');
            }
        }, error: function (data) {
            console.log('Something went wrong');
        }
    });
}

// Grp 3 saving part
$('#btnSaveGrp3').on('click', function () {
    $.ajax({
        type: 'POST',
        url: '/st/products/Savegrp3',
        data: $('#grp3form').serialize(),
        success: function (response) {
            console.log(response);
            reset3();
            grp3down();
            loadDataId3();
            if (response) {
                toastr.success('Record Added!');
            } else {
                toastr.error('Fail to Add Record!');
            }
        }, error: function (data) {
            console.log('Something went wrong');
        }
    });
});

function reset3() {
    $('#grplevel3name').val('');
}

function grp3down() {
    $('#grp3modal').modal('hide');
}


// read records grp id 3
function loadDataId3() {
    $.ajax({
        type: 'GET',
        url: '/st/products/ReaDataId3',
        success: function (response) {
            console.log(response);
            var html = "<tr>";
            $.each(response.result, function (index, value) {
                html += '<td class="id" id="' + value.group_level_3_id + '">' + value.group_level_3_id + '</td>';
                html += '<td>' + value.group_level_3 + '</td>';
                html += '<td class="edit edit_group3">';
                html += '<button type="button" class="btn btn-primary setting-edit-btn" id="' + value.group_level_3_id + '" onclick="showGroupLevel3EditModal(this.id)">';
                html += '<i class="fa fa-pencil-square-o" aria-hidden="true"></button>';
                html += '</td>';
                html += '<td class="disable disable_group3">';
                html += '<label class="switch">';
                html += '<input type="checkbox" id="' + value.group_level_3_id + '" onchange="disableLevel3(event)" ' + disable[value.status] + '>';
                html += '<span class="slider round"></span>'
                html += '</label>';
                html += '</td>';
                html += '</tr>';
            });
            $('#tblGrpId3').html(html);
            if (!group3_edit_permission) {
                $('.edit_group3').hide();
            }

            if (!group3_disable_permission) {
                $('.disable_group3').hide();
            }
        },
        error: function () {
            console.log('something went wrong!');
        }
    });
}

//    diable groupp level 3 
function disableLevel3(event) {
    var id = event.target.id;
    var status = event.target.checked;

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'DELETE',
        url: '/st/products/DisableLevel3/' + id,
        data: {
            _token: $('input[name=_token]').val(),
            "status": bool
        },
        success: function (response) {
            console.log(response);
            if (response.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Data Deactivated');
            }
        }
    });
}

//product type saving part
$('#btnProductType').on('click', function () {
    $.ajax({
        type: 'POST',
        url: '/st/products/SaveProdutType',
        data: $('#productTypeForm').serialize(),
        success: function (response) {
            console.log(response);
            resetProductType();
            productTypeDown();
            loadDataproductType();
            if (response) {
                toastr.success('Record Added!');
            } else {
                toastr.error('Fail to Add Record');
            }
        }, error: function (data) {
            console.log('Something went wrong');
        }
    });
});

function resetProductType() {
    $('#productTypeName').val("");
}

function productTypeDown() {
    $('#typemodal').modal('hide');
}


// Product Type Read Record 
function loadDataproductType() {
    $.ajax({
        type: 'GET',
        url: '/st/products/ReaDataProductType',
        success: function (response) {
            console.log(response);
            var html = "<tr>";
            $.each(response.result, function (index, value) {
                html += '<td class="id" id="' + value.product_type_id + '">' + value.product_type_id + '</td>';
                html += '<td>' + value.product_type + '</td>';
                html += '<td class="edit">';
                html += '<button type="button" class="btn btn-primary setting-edit-btn" id="' + value.product_type_id + '" onclick="showProductTypeEditModal(this.id)">';
                html += '<i class="fa fa-pencil-square-o" aria-hidden="true"></button>';
                html += '</td>';
                html += '<td class="disable">';
                html += '<label class="switch">';
                html += '<input type="checkbox" id="' + value.product_type_id + '" onchange="disableProductType(event)"  ' + disable[value.status] + '>';
                html += '<span class="slider round"></span>'
                html += '</label>';
                html += '</td>';
                html += '</tr>';
            });
            $('#tblProductType').html(html);
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

// disable product type 
function disableProductType(event) {
    var id = event.target.id;
    var status = event.target.checked;

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'DELETE',
        url: '/st/products/DisableProductType/' + id,
        data: {
            _token: $('input[name=_token]').val(),
            "status": bool
        },
        success: function (response) {
            console.log(response);
            if (response.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Data Deativated');
            }
        }, error: function (data) {
            console.log('Something went wrong');
        }
    });
}
// End of product type read record 

// UOM 
// saving part 
$('#btnUOMsave').on('click', function () {
    //console.log('working');
    $.ajax({
        type: 'POST',
        url: '/st/products/SaveUOM',
        data: $('#UomForm').serialize(),
        success: function (response) {
            console.log(response);
            resetUOM();
            uomDown();
            loadUOM();
            if (response) {
                toastr.success('Record Added!');
            } else {
                toastr.error('Fail to Add Record!');
            }
        }
    });
});
// reset UOM 
function resetUOM() {
    $('#uomName').val("");
}

//   UOM modal down 
function uomDown() {
    $('#UomModal').modal('hide');
}

//    Read records of UOM 
function loadUOM() {
    $.ajax({
        type: 'get',
        url: '/st/products/ReadUOM',
        success: function (response) {
            console.log(response);
            var html = "<tr>";
            $.each(response.result, function (index, value) {
                html += '<td class="id" id="' + value.uom_id + '">' + value.uom_id + '</td>';
                html += '<td>' + value.uom + '</td>';
                html += '<td class="edit edit_mesure">';
                html += '<button type="button" class="btn btn-primary setting-edit-btn" id="' + value.uom_id + '" onclick="showUomEditModal(this.id)">';
                html += '<i class="fa fa-pencil-square-o" aria-hidden="true"></button>';
                html += '</td>';
                html += '<td class="disable disable_mesure">';
                html += '<label class="switch">';
                html += '<input type="checkbox" id="' + value.uom_id + '" onchange="disableUOM(event)" ' + disable[value.status] + '>';
                html += '<span class="slider round"></span>'
                html += '</label>';
                html += '</td>';
                html += '</tr>';
            });
            $('#tblUOM').html(html);
            if (!mesure_edit_permission) {
                $('.edit_mesure').hide();
            }

            if (!mesure_disable_permission) {
                $('.disable_mesure').hide();
            }
        }
    });
}

// disable uom 
function disableUOM(event) {
    var id = event.target.id;
    var status = event.target.checked;
    //console.log(id);

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'DELETE',
        url: '/st/products/DisableUom/' + id,
        data: {
            _token: $('input[name=_token]').val(),
            "status": bool
        },
        success: function (response) {
            console.log(response);
            if (response.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Data Deactivated');
            }
        }, error: function (data) {
            console.log('Something went error!');
        }
    });
}



// load grp level 1 data to level 2 modal 
function loadgrp1() {
    //console.log('btn is working');
    $.ajax({
        type: 'GET',
        url: '/st/products/LoadLevel1Data',
        success: function (response) {
            console.log(response);
            var html = "";
            $.each(response.result, function (index, value) {
                html += '<option value="' + value.group_level_1_id + '">' + value.group_level_1 + '</option>';
            });
            $('#grpLevel1DropDown').html(html);
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

// get level 1 data to level 3 modal 
function loadgrp1to3() {
    $.ajax({
        type: 'GET',
        url: '/st/products/LoadLevel1Data',
        success: function (response) {
            console.log(response);
            var html = "";
            $.each(response.result, function (index, value) {
                html += '<option value="' + value.group_level_1_id + '"  onclick="selectData1()"> ' + value.group_level_1 + ' </option>';
            });
            $('#grpLevel1DropDown_grp3Modal').html(html);
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

// This use to load level 2 data when level 1 is clicked 
function level1select() {
    var level_id = $('#grpLevel1DropDown_grp3Modal').val();
    console.log(level_id);
    $.ajax({
        type: 'GET',
        url: '/st/products/Belowdata1/' + level_id,
        success: function (response) {
            console.log(response);
            var html = "";
            $.each(response.result, function (index, value) {
                html += '<option value="' + value.group_level_2_id + '">' + value.group_level_2 + '</option>';
            });
            $('#grpLevel2DropDown').html(html);;
        }, error: function () {
            console.log('something went wrong');
        }
    });
}

// UOM edit 
function showUomEditModal(id) {
    $('#UomUpdateModal').modal('show');
    var uom_id = id;
    $.ajax({
        type: 'GET',
        url: '/st/products/UpdateUom/' + uom_id,
        success: function (response) {
            console.log(response);
            $.each(response.result, function (index, value) {
                $('#uomUpdateId').val(value.uom_id);
                $('#uomUpdateInput').val(value.uom);
            });
        }, error: function () {
            console.log('Something went wrong');
        }
    });
}

// Product Type edit 
function showProductTypeEditModal(id) {
    $('#ProductTypeUpdateModal').modal('show');
    var productTypeId = id;
    $.ajax({
        type: 'GET',
        url: '/st/products/GetUpdateProductType/' + productTypeId,
        success: function (response) {
            console.log(response);
            $.each(response.result, function (index, value) {
                $('#productTypeUpdateId').val(value.product_type_id);
                $('#productTypeUpdateInput').val(value.product_type);
            });
        }, error: function (data) {
            console.log('Something went wrong!');
        }
    });
}

// group level 3 edit 
function showGroupLevel3EditModal(id) {
    console.log(id);
    $('#GroupLevel3UpdateModal').modal('show');
    var level3Id = id;
    $.ajax({
        type: 'GET',
        url: '/st/products/GetLevel3UpdateData/' + level3Id,
        success: function (response) {
            console.log(response);
            LoadLevel2dataIn3UpdateModel();
            $.each(response.result, function (index, value) {
                var level2id = value.grp_lvl_2_for_id;
                $('#level3UpdateId').val(value.group_level_3_id);
                $('#level1forLevel3').val(value.group_level_1);
                $('#grplevel3Updatename').val(value.group_level_3);
                $('#grpLevel3UpdateDropDown').filter(function () {
                    return $(this).val(level2id);
                }).prop('selected', true);
            });
        }, error: function () {
            console.log('Something went wrong');
        }
    });
}

function LoadLevel2dataIn3UpdateModel() {
    $.ajax({
        type: 'GET',
        url: '/st/products/ReaDataId2',
        async: false,
        success: function (response) {
            var html = "";
            $.each(response.result, function (index, value) {
                html += '<option value="' + value.group_level_2_id + '">' + value.group_level_2 + '</option>';
            });
            $('#grpLevel3UpdateDropDown').html(html);
        }, error: function (data) {
            console.log('something went wrong!');
        }
    });
}

// Group Level 2 edit 
function showGroupLevel2EditModal(id) {
    console.log(id);
    $('#GroupLevel2UpdateModal').modal('show');
    var level2Id = id;

    $.ajax({
        type: 'GET',
        url: '/st/products/GetLevel2UpdateData/' + level2Id,
        success: function (response) {
            //var html = "";
            loadLevel1dataIn2updatemodal();
            console.log(response);
            $.each(response.data.result, function (index, value) {

                var level1id = value.grp_lvl_1_for_id;
                console.log(level1id);
                $('#level2UpdateId').val(value.group_level_2_id);
                $('#grplevel2Updatename').val(value.group_level_2);
                $('#grpLevel2UpdateDropDown').filter(function () {
                    return $(this).val(level1id);
                }).prop('selected', true);
            });
        }, error: function (data) {
            console.log('Something went wrong!');
        }
    });
}

function loadLevel1dataIn2updatemodal() {
    $.ajax({
        type: 'GET',
        url: '/st/products/ReaDataId1',
        async: false,
        success: function (response) {
            console.log(response);
            var html = "";
            $.each(response.result, function (index, value) {
                html += '<option value="' + value.group_level_1_id + '">' + value.group_level_1 + '</option>';
            });
            $('#grpLevel2UpdateDropDown').html(html);
        }, error: function (data) {
            console.log('Something went wrong!');
        }
    });
}

function showGroupLevel1EditModal(id) {
    $('#GroupLevel1UpdateModal').modal('show');
    var level1Id = id;
    console.log(level1Id);
    $.ajax({
        type: 'GET',
        url: '/st/products/GetLevel1UpdateData/' + level1Id,
        success: function (response) {
            console.log(response);
            $.each(response.result, function (index, value) {
                $('#level1UpdateId').val(value.group_level_1_id);
                $('#grplevel1Updatename').val(value.group_level_1);
            });
        }, error: function () {
            console.log('something went wrong');
        }
    });
}

// Update function UOM 
$('#btnUpdateUom').on('click', function () {
    var id_uom = $('#uomUpdateId').val();
    console.log(id_uom);
    $.ajax({
        type: 'POST',
        url: '/st/products/EditUom/' + id_uom,
        data: $('#uomUpdateForm').serialize(),
        success: function (response) {
            console.log(response);
            resetUpdateUom();
            uomDownUpdate();
            loadUOM();
            if (response) {
                toastr.success('Record Updated!');
            } else {
                toastr.error('Unable to Update Record!');
            }
        }, error: function (data) {
            console.log('Something went wrong!');
        }
    });
})

// Reset function of UOM update modal 
function resetUpdateUom() {
    $('#uomUpdateInput').val("");
}

// Down boot modal of UOM update 
function uomDownUpdate() {
    $('#UomUpdateModal').modal('hide');
}

// Update function product type 
$('#btnUpdateProductType').on('click', function () {
    var id_productType = $('#productTypeUpdateId').val();
    $.ajax({
        type: 'POST',
        url: '/st/products/EditProductType/' + id_productType,
        data: $('#productTypeUpdateForm').serialize(),
        success: function (response) {
            console.log(response);
            resetUpdateProType();
            proTypedownUpdate();
            loadDataproductType();
            if (response) {
                toastr.success('Record Updated!');
            } else {
                toastr.error('Unable to Update Record!');
            }
        }, error: function (data) {
            console.log('Something went wrong!');
        }
    });
});

// reset function update pro_type 
function resetUpdateProType() {
    $('#productTypeUpdateInput').val("");
}

// update pro type modal down 
function proTypedownUpdate() {
    $('#ProductTypeUpdateModal').modal('hide');
}

// Update function level 1 
$('#btnUpdateGrp1').on('click', function () {
    var id_level1 = $('#level1UpdateId').val();
    $.ajax({
        type: 'POST',
        url: '/st/products/EditLevel1/' + id_level1,
        data: $('#level1UpdateForm').serialize(),
        success: function (response) {
            console.log(response);
            resetUpdateLevel1();
            level1DownUpdate();
            loadDataId1();
            if (response) {
                toastr.success('Record Updated!');
            } else {
                toastr.error('Unable to Update Record!');
            }
        }, error: function () {
            console.log('Something went wrong');
        }
    });
});

// reset update level 1
function resetUpdateLevel1() {
    $('#grplevel1Updatename').val("");
}

// updatel level 1 modal down 
function level1DownUpdate() {
    $('#GroupLevel1UpdateModal').modal('hide');
}

// Update function level 2 
$('#btnUpdateGrp2').on('click', function () {
    var id_level2 = $('#level2UpdateId').val();
    console.log(id_level2);
    $.ajax({
        type: 'POST',
        url: '/st/products/EditLevel2/' + id_level2,
        data: $('#level2UpdateForm').serialize(),
        success: function (response) {
            //console.log(response);
            resetUpdateLevel2();
            level2DownUpdate();
            loadDataId2();
            if (response) {
                toastr.success('Record Updated!');
            } else {
                toastr.error('Unable to Update Record!');
            }
        }, error: function () {
            console.log('Something went wrong');
        }
    });
});

// reset update level 2 
function resetUpdateLevel2() {
    $('#grpLevel2UpdateDropDown').val("");
    $('#grplevel3Updatename').val("");
}

// Update level 2 modal down 
function level2DownUpdate() {
    $('#GroupLevel2UpdateModal').modal('hide');
}

// Update function level 3 
$('#btnUpdateGrp3').on('click', function () {
    var id_level3 = $('#level3UpdateId').val();
    console.log(id_level3);
    $.ajax({
        type: 'POST',
        url: '/st/products/EditLevel3/' + id_level3,
        data: $('#level3UpdateForm').serialize(),
        success: function (response) {
            //console.log(response);
            resetUpdateLevel3();
            level3DownUpdate();
            loadDataId3();
            if (response) {
                toastr.success('Record Updated!');
            } else {
                toastr.error('Unable to Update Record!');
            }
        }
    });
});

// reset update level 3 
function resetUpdateLevel3() {
    $('#grpLevel3UpdateDropDown').val("");
    $('#grplevel3Updatename').val("");
}

// Update level 3 modal down 
function level3DownUpdate() {
    $('#GroupLevel3UpdateModal').modal('hide');
}
