
$(document).ready(function () {
    $('#lblTitle').text('');
    $('#txtUser').hide();
    allUserRole();


    var role_id = getUrlParameter('role_id');
    var user_id = getUrlParameter('user_id');
    var action = getUrlParameter('action');

    if (user_id != '' && action == 'edit' || action == 'view') {
        getUser(role_id, user_id, action);
    }



    $('#cmbUserRoll').change(function () {


    });


    $('#txtUserType').change(function () {
        var title = $("#txtUserType option:selected").text();
        userType(title);
    });


    $('#btnAction').click(function () {
        var event = $('#btnAction').text();
        if (event == 'Save') {
            saveUser();
        } else if (event == 'Update') {
            updateUser(user_id);
        }
    });
});



function getUrlParameter(name) {
    name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
    var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
    var results = regex.exec(location.search);
    return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
};




/** Get all user role records from db */
function allUserRole() {
    $.ajax({
        type: "GET",
        url: "/st/user/allUserRole",
        async: false,
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                $('#cmbUserRoll').empty();
                var result = response.data.result;
                for (i = 0; i < result.length; i++) {
                    $('#cmbUserRoll').append('<option value="' + result[i].id + '">' + result[i].name + '</option>');
                }

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}




/** Get all employee  from db */
function allEmployee() {

    $.ajax({
        type: "GET",
        url: "/st/user/allEmployee",
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                $('#txtUser').setData(response.data.result);

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}




/** Get all customer  from db */
function allCustomer() {
    $.ajax({
        type: "GET",
        url: "/st/user/allCustomer",
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                $('#txtUser').setData(response.data.result);

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}




/** Get all supplier  from db */
function allSupplier() {
    $.ajax({
        type: "GET",
        url: "/st/user/allSupplier",
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                $('#txtUser').setData(response.data.result);

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}




/** Save user */

function saveUser() {

    $.ajax({
        type: "POST",
        url: '/st/user/saveUser',
        data: $('#userForm').serialize() + '&' + $.param({ "user": $('#txtUserType').val() }, true) + '&' + $.param({ "user_id": $('#txtUser').optionID() }, true),
        processData: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('User has been saved successfully...');
                $('#userForm').trigger("reset");
                userType($('#txtUserType').val());

            } else {
                showErrorMessage();
            }


        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });

}





function getUser(role_id, user_id, action) {

    $.ajax({
        type: "GET",
        url: "/st/user/getUser/" + user_id + "/" + role_id,
        processData: false,
        contentType: false,
        async: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                var user = response.data.result.user;
                var role = response.data.result.role;
                var type = response.data.result.type;
                $('#txtUsername').val(user.name);
                $('#txtEmail').val(user.email);
                setSelectedOption('cmbUserRoll', role.id);
                setSelectedOption('txtUserType', user.user_type);
                userType($('#txtUserType').val());
                if (user.user_type == "Employee") {
                    if (type != null) {
                        $('#txtUser').val(type.name_withinitial);
                        $('#txtUser').attr('data-id', type.employee_id);
                    }
                } else if (user.user_type == "Supplier") {
                    if (type != null) {
                        $('#txtUser').val(type.supplier_name);
                        $('#txtUser').attr('data-id', type.supplier_id);
                    }
                }

                if (action == 'edit') {
                    $('#btnAction').text('Update');

                } else if (action == 'view') {
                    var btn = document.getElementById('btnAction');
                    btn.innerText = 'Reset';
                    btn.style.backgroundColor = 'orange';

                }

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();

        },
        complete: function () {

        }

    });
}


/** Update user  */
function updateUser(id) {

    $.ajax({
        type: 'PUT',
        url: '/st/user/updateUser/' + id,
        data: $('#userForm').serialize() + '&' + $.param({ "type": $('#txtUserType').val() }, true) + '&' + $.param({ "user_id": $('#txtUser').optionID() }, true),
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('User has been updated successfully...');
                location.href = "/st/userList";

            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }

    });
}



function userType(title) {
    if (title == 'Employee') {
        $('#lblTitle').text("Select Employee");
        $('#txtUser').show();
        allEmployee();

    } else if (title == 'Customer') {
        //$('#lblTitle').text("Select Customer");
        //$('#txtUser').show();
        //allCustomer();

        $('#lblTitle').text('');
        $('#txtUser').hide();

    } else if (title == 'Supplier') {
        $('#lblTitle').text("Select Supplier");
        $('#txtUser').show();
        allSupplier();

    } else if (title == 'Guest') {
        $('#lblTitle').text('');
        $('#txtUser').hide();
    }
    $('#txtUser').val('');
}







function setSelectedOption(id, valueToSelect) {
    let element = document.getElementById(id);
    element.value = valueToSelect;
}


/**
* showSuccessMessage
* This function is used to show success message.
* @param message This is the paramter to require message content
*/
function showSuccessMessage(message) {
    toastr.success(message);
}


/**
* showWarningMessage
* This function is used to show warning message.
* @param message This is the paramter to require message content
*/
function showWarningMessage(message) {
    toastr.warning(message);
}



/**
* showErrorMessage
* This function is used to show error message.
* @param message This is the paramter to require message content
*/
function showErrorMessage() {
    toastr.error('Something went wrong');
}
