@extends('st::layouts.app')

@section('head')
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}">
<!-- AutoComplete -->
<link rel="stylesheet" href="{{ Module::asset('hr:js/autocomplete2/css/autocomplete.min.css') }}" type="text/css">

@endsection

@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>



<div class="row">
    <div class="col-md-12">
        <div class="card ">
            <div class="card-body">
                <h6 class="card-title">Employee Activity</h6>
                <div class="row">
                    <div class="col-md-5 mb-2">
                        <label>Employee</label>
                        <input type="text" class="form-control auto-complete" autocomplete="off" id="txtEmployee">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 mb-2">
                        <div class="row">
                            <div class="col-md-6 mb-2">
                                <label>Date From</label>
                                <input type="text" class="form-control" id="txtDateFrom" name="txtDateFrom">
                            </div>
                            <div class="col-md-6 mb-2">
                                <label>Date To</label>
                                <input type="text" class="form-control" id="txtDateTo" name="txtDateTo">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 mb-3" style="text-align: right;">
                        <button type="button" id="btnSearch" class="btn btn-primary">Serch</button>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-md-12">
                        <table id="myTable" class="table table-striped table-bordered dataTable dtr-inline collapsed" role="grid" aria-describedby="example1_info">
                            <thead>
                                <tr>
                                    <th class="id">Employee ID</th>
                                    <th>Name</th>
                                    <th>Date</th>
                                    <th>View</th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>



<div class="modal fade" id="searchModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="searchModalTitle">Log Activity Employee</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i class="ti-close"></i>
                </button>
            </div>
            <div class="modal-body" id="searchModalBody">
                <div class="row">
                    <div class="col-md-4">
                        <label>Updated By :</label>
                    </div>
                    <div class="col-md-8">
                        <label id="lblUpdated"></label>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <label>Updated At :</label>
                    </div>
                    <div class="col-md-8">
                        <label id="lblUpdatedAt"></label>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="table-responsive">
                        <!-- Required for Responsive -->
                        <table class="table">
                            <thead>
                                <tr>
                                    <th class="id">Field Name</th>
                                    <th>Updated</th>
                                    <th>Before Update</th>
                                </tr>
                            </thead>
                            <tbody id="tblHistory"></tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                </button>
            </div>

        </div>
    </div>
</div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ url('assets/js/examples/datatable.js') }}"></script>
<script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
<!-- AutoComplete -->
<script src="{{ Module::asset('st:js/autocomplete2/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('st:js/employeeActivity.js') }}?random=<?php echo uniqid(); ?>"></script>

<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection