@extends('st::layouts.app')

@section('head')
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<link rel="stylesheet" href="{{ Module::asset('st:css/slider_switch.css') }}" type="text/css">
<!-- AutoComplete -->
<link rel="stylesheet" href="{{ Module::asset('st:js/autocomplete2/css/autocomplete.min.css') }}" type="text/css">
@endsection
<script>
    var edit_permission = "{{ Auth::user()->can('st_system_user_role_edit')}} ";
    var delete_permission = "{{ Auth::user()->can('st_system_user_role_delete')}} ";
</script>
@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">User Role</h6>
                <div class="row">
                    @if(Auth::user()->can('st_system_user_role_add'))
                    <div class="col-md-12 mb-3">
                        <button type="button" class="btn btn-primary" onclick="showUserRollModal()">Add User Role</button>
                    </div>
                    @endif
                </div>
                <div class="row">
                    <div class="col-md-12 mb-3">
                        <table id="tblUserRole" class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>User Role</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                            </thead>
                            <tbody id="tblUserRoleBody"></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>



        <div class="card">
            <div class="card-body">
                <h6 class="card-title"></h6>
                <div class="row">
                    <div class="col-md-12">
                        <ul class="nav nav-pills mb-3" role="tablist" id="navMenuItem">
                            @if(Auth::user()->can('st_system_user_module'))
                            <li class="nav-item">
                                <a class="nav-link active" id="pills-module-tab" data-toggle="pill" href="#tbModule" role="tab" aria-controls="pills-module" aria-selected="true">Module</a>
                            </li>
                            @endif
                            @if(Auth::user()->can('st_system_user_permission'))
                            <li class="nav-item">
                                <a class="nav-link" id="pills-permission-tab" data-toggle="pill" href="#tbPermission" role="tab" aria-controls="pills-permission" aria-selected="false">Permission</a>
                            </li>
                            @endif
                            @if(Auth::user()->can('st_system_user_approval'))
                            <li class="nav-item">
                                <a class="nav-link" id="pills-approval-tab" data-toggle="pill" href="#tbApproval" role="tab" aria-controls="pills-approval" aria-selected="false">Approval</a>
                            </li>
                            @endif
                        </ul>
                        <div class="tab-content">
                            @if(Auth::user()->can('st_system_user_module'))
                            <div class="tab-pane fade show active" id="tbModule" role="tabpanel" aria-labelledby="pills-module-tab">
                                <div class="row">
                                    <div class="col-md-12 seperator">
                                        <div class="card bg-primary">
                                            <div class="card-header">Module</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="table-responsive">
                                            <!-- Required for Responsive -->
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th>Module Name</th>
                                                        <th width="30">Allow</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="tblModule">

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            @endif

                            @if(Auth::user()->can('st_system_user_permission'))
                            <div class="tab-pane fade" id="tbPermission" role="tabpanel" aria-labelledby="pills-permission-tab">
                                <div class="row">
                                    <div class="col-md-12 seperator">
                                        <div class="card bg-primary">
                                            <div class="card-header">Permission</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 mb-3">
                                        <label>Module</label>
                                        <select class="form-control" id="cmbModule" name="module"></select>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Permission</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblPermission"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            @endif

                            @if(Auth::user()->can('st_system_user_approval'))
                            <div class="tab-pane fade" id="tbApproval" role="tabpanel" aria-labelledby="pills-approval-tab">
                                <div class="row">
                                    <div class="col-md-12 seperator">
                                        <div class="card bg-primary">
                                            <div class="card-header">Approval</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 mb-3">
                                        <label>Module</label>
                                        <select class="form-control" id="cmbApprovalModule" name="approvalModule"></select>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tblApproval"></tbody>
                                        </table>
                                    </div>
                                </div>
                                @endif

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>



    </div>



    <!-- User Roll Modal!-->
    <div class="modal fade" id="userRoleModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="userRoleModalTitle">Create New User Role</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <form method="POST" id="userRoleForm">
                    <div class="modal-body">
                        {{csrf_field()}}
                        <div class="row">
                            <div class="col-md-12">
                                <label>User Role</label>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <input type="text" class="form-control" id="txtUserRole" name="userRole">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                        </button>
                        <button type="button" class="btn btn-primary" id="btnUserRoleAction" name="userRoleAction">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>



    <!-- Approval Modal!-->
    <div class="modal fade bd-example-modal-lg" id="approvalModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="approvalModalTitle">Create New Approval</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <form method="POST" id="approvalForm">
                    <div class="modal-body">
                        {{csrf_field()}}
                        <input type="hidden" id="hidSlug" value="">
                        <div class="row">
                            <div class="col-md-12  mb-2">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>Designation</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkDesignationSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <select class="form-control" id="selcDesignation" name="designation"></select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12 mb-2">
                                <div class="row">
                                    <div class="col-md-12">
                                        <table style="width:100%">
                                            <tr>
                                                <td>
                                                    <i class="fa fa-users text-info" aria-hidden="true"></i>
                                                    <label>User</label>
                                                </td>
                                                <td style="text-align: right">
                                                    <label class="switch"><input type="checkbox" id="checkUserSearch"><span class="slider round"></span></label>
                                                </td>
                                            </tr>

                                        </table>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mb-0">
                                        <input type="text" class="form-control auto-complete" id="txtUser" name="user">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2 mb-2">
                                <button type="button" id="btnAdd" class="btn btn-primary">Add</button>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12 mb-2">
                                <label>Message</label>
                                <input type="text" class="form-control" id="txtMessage" name="message">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12 mb-2">
                                <label>Description</label>
                                <textarea class="form-control" id="txtDescription" name="description"></textarea>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <table class="table" id="tblAddApproval">
                                    <thead>
                                        <tr>
                                            <th>User</th>
                                            <th>Priority</th>
                                            <th>Remove</th>
                                        </tr>
                                    </thead>
                                    <tbody id="tblAddApprovalBody"></tbody>
                                </table>
                            </div>
                        </div>



                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Close
                            </button>
                            <button type="button" class="btn btn-primary" id="btnApprovalAction" name="approvalAction">Save</button>
                        </div>
                </form>
            </div>
        </div>
    </div>



</div>

@endsection

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<!-- Sweet alert -->
<script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
<!-- AutoComplete -->
<script src="{{ Module::asset('st:js/autocomplete2/js/autocomplete.min.js') }}"></script>
<!-- App scripts -->
<script src="{{ Module::asset('st:js/settings.js') }}"></script>
<script src="{{ Module::asset('st:js/approval.js') }}"></script>


<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
@endsection